Subject: Re: [edu-team] Measurements Tutorial

From: Mirjam Kuehne <[email-masked]>
Date: Wed, 01 Apr 2015 11:46:44 +0200

On 31/3/15 20:49, Brian E Carpenter wrote:
> On 31/03/2015 20:24, Mirjam Kuehne wrote:
>> Thanks, Brian. Thanks, Radia. I'll pass any feedback on to Vinayak. So, do you think we can schedule this for Prague?
>
> I'd say yes, but since he is a bit of a newcomer to us, getting someone
> like Al Morton also involved would be wise.

Great. I'll pass this and all the other feedback on to Vinayak. I know 
he was already in touch with Al Morton when he started thinking about 
this. But I will stress it again.

Regards,
Mirjam

>
>     Brian
>
>>
>> Mirjam
>>
>>
>>
>> On 30/3/15 20:46, Brian E Carpenter wrote:
>>> I agree, this looks rather good. I will consult with my colleague
>>> Nevil Brownlee, who has been around measurement work for years, to
>>> get his opinion.
>>>
>>>       Brian
>>> On 31/03/2015 06:08, Radia Perlman wrote:
>>>> Looks like a potentially fantastic tutorial.  I assume the outline isn't
>>>> exactly how the tutorial is, but I'd hope that they first talk about the
>>>> kinds of things you'd want to accomplish with measurement (fault detection,
>>>> need for beefing up resources, moving VMs around, ... whatever), and then
>>>> the kinds of things that you'd measure to yield this sort of information,
>>>> before drowning people in the alphabet soup of WGs and draft names.
>>>>
>>>> Radia
>>>>
>>>> On Mon, Mar 30, 2015 at 8:02 AM, Mirjam Kuehne <[email-masked]> wrote:
>>>>
>>>>> Hi,
>>>>>
>>>>> Vinayak Hedge participated in a RIPE Atlas measurements hackathon last
>>>>> weekend in Amsterdam, so I took the opportunity to talk to him about the
>>>>> measurements tutorial he offered to do at the IETF.
>>>>>
>>>>> We reviewed his earlier proposal and came up with the outline below. He is
>>>>> still very interested to do this, ideally in Prague (and possibly repeat it
>>>>> in Yokohama). He will also work together with various people involved in
>>>>> the relevant WGs. What do you think?
>>>>>
>>>>> Regards,
>>>>> Mirjam
>>>>> =======
>>>>>
>>>>> Tutorial Outline: What should we cover ?
>>>>>
>>>>> 1. Current work in the IETF for measurements
>>>>>      - list the relevant WGs and recent IDs
>>>>>        - IPPM, BMWG, LMAP, PMOL
>>>>>        - explain the different scopes and the different types of
>>>>> measurements (measuring different parts of the network)
>>>>>      - difference between active and passive measurements (there are a
>>>>> number of IDs talking about this)
>>>>> 2. Underlying statistics (relevant to measurements)
>>>>>      - distribution models used in IETF WGs
>>>>> 3. Which measurements tools are out there
>>>>>      - RIPE Atlas (RIPE NCC)
>>>>>      - M-Lab (Google)
>>>>>      - other visualisations (maybe hands-on)
>>>>>      - ping, traceroute, etc..
>>>>> 4. Implications for network engineers and policy
>>>>>      - real-life examples
>>>>>
>>>>> mention as pre-requisite in the tutorial description:
>>>>> - TCP models and cross-layer network concerns
>>>>>
>>>>>
>>>>> Why we need this and why is it important ?
>>>>>
>>>>> There are several new people participating in the IETF in these groups
>>>>> and we are trying to attract more. As a part of PMOL, we have been
>>>>> trying to recruit more people who can contribute to reviewing drafts
>>>>> for performance considerations. There is a growing concern that we now
>>>>> have enough bandwidth and latency is becoming more and more of a
>>>>> critical issue across groups (and hence measuring it and improving it
>>>>> becomes a critical issues). However, to understand measurements, you
>>>>> need to not only have a good grip of the protocols but also some
>>>>> amount of understanding of underlying statistics and modelling.
>>>>>
>>>>> For example, if we were to do a measurement, how many packets should
>>>>> we send ? what should be the payload size and what should be the
>>>>> duration between packets. How much loss are we okay with in case of
>>>>> measurement to get a good idea. When we publish the measurements,
>>>>> should we talk about the mean/median or distribution or both. etc.
>>>>>
>>>>> As you can see in the above questions, we not only have to understand
>>>>> the network (across layers) but must understand how to statistically
>>>>> model these as well to make sure the measurements make sense.
>>>>>
>>>>> Audience: Who will benefit and how ?
>>>>>
>>>>> I can see several people benefiting from these.
>>>>> 1. Network engineers - these will get a good idea of how to do
>>>>> measurement and how to model measurements and interpret results. This
>>>>> will lead to better measurements.
>>>>> 2. Regulators - They will get an understanding of how there are
>>>>> complex interactions in the network and the statistics behind the
>>>>> measurements. This will lead to better policy.
>>>>> 3. Network equipment manufacturers/vendors - They will get an idea of
>>>>> how to use different knobs and levers so the network engineers can use
>>>>> them effectively.
>>>>>
>>>>> _______________________________________________
>>>>> edu-team mailing list
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/edu-team
>>>>>
>>>>
>>>>
>>>>
>>>> _______________________________________________
>>>> edu-team mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/edu-team
>>>>
>>
>>